## ros-foxy-husky-gazebo 1.0.9

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(husky_gazebo)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(urdf REQUIRED)
find_package(xacro REQUIRED)

install(
  DIRECTORY
    launch worlds
  DESTINATION
    share/${PROJECT_NAME}
)

ament_package()

=== debian/changelog ===
ros-foxy-husky-gazebo (1.0.9-1focal) focal; urgency=high

  * [husky_gazebo] Added GAZEBO_MODEL_PATH to gazebo launch to get meshes.
  * Contributors: Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 18 Apr 2023 04:00:00 -0000

ros-foxy-husky-gazebo (1.0.8-1focal) focal; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 19 May 2022 04:00:00 -0000

ros-foxy-husky-gazebo (1.0.7-1focal) focal; urgency=high

  * Renamed all launch files to *.launch.py.
  * Contributors: Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 19 May 2022 04:00:00 -0000

ros-foxy-husky-gazebo (1.0.6-1focal) focal; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Wed, 18 May 2022 04:00:00 -0000

ros-foxy-husky-gazebo (1.0.5-1focal) focal; urgency=high

  * Switched to gazebo_plugins for IMU and GPS.
  * [husky_gazebo] Removed ros2_control_node from gazebo launch.
  * Split teleop launch into two files since simulation doesn't need actual joystick and will spam warmings.
  * Revamped tele-op launch.
  * Contributors: Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 05 May 2022 04:00:00 -0000

ros-foxy-husky-gazebo (1.0.4-1focal) focal; urgency=high

  * [husky_gazebo] Added controller_manager to gazebo_launch.py.
  * [husky_gazebo] Added gazebo_ros2_control as an exec dep.
  * Merge pull request #191 <https://github.com/husky/husky/issues/191> from StoglRobotics-forks/gazebo-sim-integration-fixes
    Gazebo sim integration fixes
  * [husky_gazebo] Switched from spawner to spawner.py.
  * Contributors: Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 15 Mar 2022 04:00:00 -0000

ros-foxy-husky-gazebo (1.0.3-1focal) focal; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 30 Nov 2021 05:00:00 -0000

ros-foxy-husky-gazebo (1.0.2-1focal) focal; urgency=high

  * Make variable names clearer.
  * Contributors: Denis Štogl

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 16 Nov 2021 05:00:00 -0000

ros-foxy-husky-gazebo (1.0.1-1focal) focal; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Fri, 12 Nov 2021 05:00:00 -0000

ros-foxy-husky-gazebo (1.0.0-1focal) focal; urgency=high

  * Initial Gazebo Classic changes.
  * Added COLCON_IGNORE for certian packages.
  * Contributors: Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Sun, 07 Nov 2021 04:00:00 -0000

ros-foxy-husky-gazebo (0.4.4-1focal) focal; urgency=high

  * Remove support for the Kinect for Xbox 360. We've had the deprecation warning around for a while, so let's finally do it.  Realsense support is in-place as a drop-in replacement that gets added to the top rollbar, just like the old Kinect would have.
  * Enable teleop in the Husky simulation
  * Removed Paul Bovbel as maintainer.
  * Finish adding the simulated realsense to the topbar, add support for the physical realsense. Tidy up some parameters that were copied in last night but not yet configured.
  * Mark the Kinect for Xbox 360 as deprecated, start adding support for the Intel Realsense D400 series as a replacement
  * Contributors: Chris I-B, Chris Iverach-Brereton, Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 13 Aug 2020 04:00:00 -0000

ros-foxy-husky-gazebo (0.4.3-1focal) focal; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 20 Apr 2020 04:00:00 -0000

ros-foxy-husky-gazebo (0.4.2-1focal) focal; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Wed, 11 Dec 2019 05:00:00 -0000

ros-foxy-husky-gazebo (0.4.1-1focal) focal; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 30 Sep 2019 04:00:00 -0000

ros-foxy-husky-gazebo (0.4.0-1focal) focal; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 01 Aug 2019 04:00:00 -0000

ros-foxy-husky-gazebo (0.3.4-1focal) focal; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 01 Aug 2019 04:00:00 -0000

ros-foxy-husky-gazebo (0.3.3-1focal) focal; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 18 Apr 2019 04:00:00 -0000

ros-foxy-husky-gazebo (0.3.2-1focal) focal; urgency=high

  * Added Z to spawn husky launch
  * Contributors: Dave Niewinski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 25 Mar 2019 04:00:00 -0000

ros-foxy-husky-gazebo (0.3.1-1focal) focal; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 02 Aug 2018 04:00:00 -0000

ros-foxy-husky-gazebo (0.3.0-1focal) focal; urgency=high

  * Fixed typo in URLs.
  * Corrected the kinect scan topic name so it matches the laser scanner topic name.
  * description.launch should be launched only once when the flag multimaster is false.
    This commit fixes #47 <https://github.com/husky/husky/issues/47>.
    Also delete the urdf subdirectory from the installation list of the package husky_gazebo
    since the directory doesn't exist.
    HOW BUILT
    $ catkin_make_isolated --install --use-ninja
    HOW VERIFIED
    $ roslaunch husky_gazebo husky_playpen.launch
    $ roslaunch husky_viz view_robot.launch
    Verify that the LiDAR is present on the gazebo husky and works as expected.
    Change-Id: I8797d561489250417dc8fe2b49d958993ca7949c
    Signed-off-by: Wei Ren <mailto:renwei@smartconn.cc>
  * Remove defunct email address
  * Updated maintainers.
  * Temp commit
  * Add interface definitions
  * Update bringup for multirobot
  * Purge more UR; Implement urdf_extras
  * Update URDF for multirobot
  * Move packages into monorepo for kinetic; strip out ur packages
  * Contributors: Farzad Niroui, Paul Bovbel, Tony Baltovski, Wei Ren

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Wed, 11 Apr 2018 04:00:00 -0000

ros-foxy-husky-gazebo (0.2.6-1focal) focal; urgency=high

  * spawn_husky.launch: enable to use custom controller files, i.e effort controller


=== debian/control ===
Source: ros-foxy-husky-gazebo
Section: misc
Priority: optional
Maintainer: Tony Baltovski <tbaltovski@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake, ros-foxy-ament-lint-auto <!nocheck>, ros-foxy-ament-lint-common <!nocheck>, ros-foxy-urdf, ros-foxy-xacro, ros-foxy-ros-workspace
Homepage: http://ros.org/wiki/husky_gazebo
Standards-Version: 3.9.2

Package: ros-foxy-husky-gazebo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-gazebo-plugins, ros-foxy-gazebo-ros, ros-foxy-gazebo-ros2-control, ros-foxy-husky-control, ros-foxy-husky-description, ros-foxy-ros2launch, ros-foxy-urdf, ros-foxy-xacro, ros-foxy-ros-workspace
Description: Clearpath Husky Simulator bringup

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-husky-gazebo//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
